Issues and PRs are welcome!

# Issues
- Please open issues with clear descriptions of any problem or feature request.
- If the issue describes a problem or a bug, please include an example that exposes the problem.
- Please make sure that you are testing your code on the latest released version of the package before opening a bug report.
- Discussions and help requests may use [Github discussions](https://github.com/JuliaControl/ControlSystems.jl/discussions), [discourse.julialang.org](https://discourse.julialang.org/) or the JuliaLang slack channel rather than an issue on this repository.

# Pull requests
- Please consider **opening an issue discussing your proposed changes** before submitting a PR.
- Please make **changes only related to a single concept**, and avoid fixing several different things in a single PR. **Do not run an automatic code formatter** on code that is not otherwise actively modified by the PR.
- Pull requests that add **dependencies are unlikely to be accepted** unless there is a very good motivation for the addition and the added dependency is both lightweight, stable and well maintained. Contributions that add significant new features and require additional dependencies are often better contributed in the form of a separate package.
